import React from 'react';
import type { ReactReduxContextValue } from 'react-redux';
import type { AnyAction } from 'redux';
type TabState = Record<string, Record<string, unknown>>;
export declare const tabStateStore: import("redux").Store<TabState, AnyAction>;
export declare function cleanupTabState(tabId: string): void;
export declare function reset(): void;
export declare const TabStateStoreContext: React.Context<ReactReduxContextValue<TabState, AnyAction>>;
export declare const TabStoreProvider: ({ children, }: {
    children: React.ReactChild;
}) => JSX.Element;
export declare const WorkspaceTabStateProvider: ({ id, children, }: {
    id: string;
    children: React.ReactChild;
}) => JSX.Element;
type SetState<S> = (newState: S | ((prevState: S) => S)) => void;
export declare function useTabState<S>(key: string, initialState: S | (() => S)): [S, SetState<S>];
export {};
//# sourceMappingURL=workspace-tab-state-provider.d.ts.map