/// <reference types="react" />
import type AppRegistry from 'hadron-app-registry';
import type { ActivateHelpers } from 'hadron-app-registry';
import type { OpenWorkspaceOptions, WorkspaceTab } from './stores/workspaces';
import type { MongoDBInstance } from '@mongodb-js/compass-app-stores/provider';
import type { DataService } from 'mongodb-data-service';
import type { DataServiceLocator } from 'mongodb-data-service/provider';
export type WorkspacesServices = {
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
    dataService: DataService;
};
export declare function configureStore(initialWorkspaceTabs: OpenWorkspaceOptions[] | undefined | null, services: WorkspacesServices): import("redux").Store<import("./stores/workspaces").WorkspacesState, import("redux").AnyAction> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, WorkspacesServices, import("redux").AnyAction>;
};
export declare function activateWorkspacePlugin({ initialWorkspaceTabs, }: {
    initialWorkspaceTabs?: OpenWorkspaceOptions[] | null;
}, { globalAppRegistry, instance, dataService }: WorkspacesServices, { on, cleanup, addCleanup }: ActivateHelpers): {
    store: import("redux").Store<import("./stores/workspaces").WorkspacesState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, WorkspacesServices, import("redux").AnyAction>;
    };
    context: import("react").Context<import("react-redux").ReactReduxContextValue<import("./stores/workspaces").WorkspacesState, import("redux").AnyAction>>;
    deactivate: () => void;
};
declare const WorkspacesPlugin: import("hadron-app-registry").HadronPluginComponent<{
    openOnEmptyWorkspace?: OpenWorkspaceOptions | null | undefined;
    onActiveWorkspaceTabChange: <WS extends WorkspaceTab>(ws: WS | null, collectionInfo: WS extends {
        type: "Collection";
    } ? import("./stores/workspaces").CollectionTabInfo | null : never) => void;
    renderSidebar?: (() => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | null) | undefined;
    renderModals?: (() => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | null) | undefined;
    initialWorkspaceTabs?: OpenWorkspaceOptions[] | null | undefined;
    context?: import("react").Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}, {
    instance: () => MongoDBInstance;
    dataService: DataServiceLocator<keyof DataService>;
}>;
export default WorkspacesPlugin;
export { WorkspacesProvider } from './components/workspaces-provider';
export type { OpenWorkspaceOptions, WorkspaceTab };
export type { MyQueriesWorkspace, ServerStatsWorkspace, DatabasesWorkspace, CollectionsWorkspace, CollectionWorkspace, AnyWorkspace, Workspace, WorkspacePluginProps, WorkspaceComponent, } from './types';
//# sourceMappingURL=index.d.ts.map