import React from 'react';
import type { OpenWorkspaceOptions, TabOptions, WorkspaceTab } from './stores/workspaces';
declare function useActiveWorkspaceSelector(): WorkspaceTab | null;
declare const kSelector: unique symbol;
export type WorkspacesService = {
    getActiveWorkspace(this: void): WorkspaceTab | null;
    openMyQueriesWorkspace(this: void, tabOptions?: TabOptions): void;
    openDatabasesWorkspace(this: void, tabOptions?: TabOptions): void;
    openPerformanceWorkspace(this: void, tabOptions?: TabOptions): void;
    openCollectionsWorkspace(this: void, namespace: string, tabOptions?: TabOptions): void;
    openCollectionWorkspace(this: void, namespace: string, options?: TabOptions & Omit<Extract<OpenWorkspaceOptions, {
        type: 'Collection';
    }>, 'type' | 'namespace' | 'editViewName'>): void;
    openEditViewWorkspace(this: void, viewNamespace: string, options: {
        sourceName: string;
        sourcePipeline: unknown[];
    } & TabOptions): void;
    [kSelector]?: typeof useActiveWorkspaceSelector | undefined;
};
export declare const WorkspacesServiceProvider: React.FunctionComponent<{
    value?: WorkspacesService;
}>;
declare function useWorkspacesService(): WorkspacesService;
export declare function useOpenWorkspace(): {
    openCollectionWorkspace: (this: void, namespace: string, options?: (TabOptions & Omit<Pick<import("./types").CollectionWorkspace, "type" | "namespace"> & Partial<Pick<import("./types").CollectionWorkspace, "initialQuery" | "initialAggregation" | "initialPipeline" | "initialPipelineText" | "editViewName">>, "type" | "namespace" | "editViewName">) | undefined) => void;
    openCollectionsWorkspace: (this: void, namespace: string, tabOptions?: TabOptions | undefined) => void;
    openDatabasesWorkspace: (this: void, tabOptions?: TabOptions | undefined) => void;
    openMyQueriesWorkspace: (this: void, tabOptions?: TabOptions | undefined) => void;
    openPerformanceWorkspace: (this: void, tabOptions?: TabOptions | undefined) => void;
    openEditViewWorkspace: (this: void, viewNamespace: string, options: {
        sourceName: string;
        sourcePipeline: unknown[];
    } & TabOptions) => void;
};
export declare function useActiveWorkspace(): WorkspaceTab | null;
export declare const workspacesServiceLocator: typeof useWorkspacesService;
export { useWorkspacePlugins } from './components/workspaces-provider';
export { useTabState } from './components/workspace-tab-state-provider';
//# sourceMappingURL=provider.d.ts.map