import React from 'react';
import type { ReactReduxContextValue, TypedUseSelectorHook } from 'react-redux';
import type { configureStore } from '..';
import type { Store } from 'redux';
type WorkspacesStore = ReturnType<typeof configureStore> extends Store<infer S, infer A> & {
    dispatch: infer D;
} ? {
    state: S;
    actions: A;
    dispatch: D;
} : never;
export declare const WorkspacesStoreContext: React.Context<ReactReduxContextValue<import("./workspaces").WorkspacesState, import("redux").AnyAction>>;
export declare const useStore: () => ReturnType<typeof configureStore>;
export declare const useDispatch: () => WorkspacesStore['dispatch'];
export declare const useSelector: TypedUseSelectorHook<WorkspacesStore['state']>;
export declare const connect: import("react-redux").Connect<unknown>;
export {};
//# sourceMappingURL=context.d.ts.map